---
title: rattler-build generate-recipe cpan
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [generate-recipe](index.md) cpan

Generate a recipe for a Perl package from CPAN

## Usage
```
rattler-build generate-recipe cpan [OPTIONS] <PACKAGE>
```

## Arguments
- <a id="arg-PACKAGE" href="#arg-PACKAGE">`<PACKAGE>`</a>
:  Name of the package to generate
<br>**required**: `true`

## Options
- <a id="arg---version" href="#arg---version">`--version <VERSION>`</a>
:  Select a version of the package to generate (defaults to latest)
- <a id="arg---write" href="#arg---write">`--write (-w)`</a>
:  Whether to write the recipe to a folder
- <a id="arg---tree" href="#arg---tree">`--tree (-t)`</a>
:  Whether to generate recipes for all dependencies
